Post an employee update group
curl --request POST \
--url https://api.payrollintegrationsapp.com/v1/employer-identifiers/{employer_identifier}/update-groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"updates": [
{
"employeeProfileId": "22222222-2222-2222-2222-222222222222",
"subcategory": "ROTH",
"calculationValue": "10",
"calculationType": "PERCENT",
"startDate": "2026-01-31"
},
{
"employeeProfileId": "33333333-3333-3333-3333-333333333333",
"subcategory": "401K_PRETAX",
"calculationValue": "150.00",
"calculationType": "FLAT_DOLLAR",
"startDate": "2026-01-31"
},
{
"employeeProfileId": "44444444-4444-4444-4444-444444444444",
"subcategory": "401K_LOAN",
"calculationValue": "100.00",
"calculationType": "FLAT_DOLLAR",
"startDate": "2026-01-31",
"loanIdentifier": "MyLoanDeduction"
}
]
}
'import requests
url = "https://api.payrollintegrationsapp.com/v1/employer-identifiers/{employer_identifier}/update-groups"
payload = { "updates": [
{
"employeeProfileId": "22222222-2222-2222-2222-222222222222",
"subcategory": "ROTH",
"calculationValue": "10",
"calculationType": "PERCENT",
"startDate": "2026-01-31"
},
{
"employeeProfileId": "33333333-3333-3333-3333-333333333333",
"subcategory": "401K_PRETAX",
"calculationValue": "150.00",
"calculationType": "FLAT_DOLLAR",
"startDate": "2026-01-31"
},
{
"employeeProfileId": "44444444-4444-4444-4444-444444444444",
"subcategory": "401K_LOAN",
"calculationValue": "100.00",
"calculationType": "FLAT_DOLLAR",
"startDate": "2026-01-31",
"loanIdentifier": "MyLoanDeduction"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
updates: [
{
employeeProfileId: '22222222-2222-2222-2222-222222222222',
subcategory: 'ROTH',
calculationValue: '10',
calculationType: 'PERCENT',
startDate: '2026-01-31'
},
{
employeeProfileId: '33333333-3333-3333-3333-333333333333',
subcategory: '401K_PRETAX',
calculationValue: '150.00',
calculationType: 'FLAT_DOLLAR',
startDate: '2026-01-31'
},
{
employeeProfileId: '44444444-4444-4444-4444-444444444444',
subcategory: '401K_LOAN',
calculationValue: '100.00',
calculationType: 'FLAT_DOLLAR',
startDate: '2026-01-31',
loanIdentifier: 'MyLoanDeduction'
}
]
})
};
fetch('https://api.payrollintegrationsapp.com/v1/employer-identifiers/{employer_identifier}/update-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"updateGroupId": "55555555-5555-5555-5555-555555555555"
}{
"message": "<string>",
"errors": [
"<string>"
]
}{
"message": "<string>",
"errors": [
"<string>"
]
}{
"message": "<string>",
"errors": [
"<string>"
]
}{
"message": "<string>",
"errors": [
"<string>"
]
}{
"message": "<string>",
"errors": [
"<string>"
]
}{
"message": "Not implemented",
"errors": [
"Not implemented"
]
}Employee Updates
Create Update Group
Submits a list of employee updates
POST
/
v1
/
employer-identifiers
/
{employer_identifier}
/
update-groups
Post an employee update group
Authorizations
Bearer token obtained from the /v1/auth/token endpoint. Send as: Authorization: Bearer .
Path Parameters
UUID of the employer identifier
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/json
List of employee deduction updates to perform
- Option 1
- Option 2
Show child attributes
Show child attributes
Response
Update group created successfully
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$